Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.pattern
Class ClassNamePatternConverter

    java.lang.Object
      org.apache.logging.log4j.core.pattern.AbstractPatternConverter
          org.apache.logging.log4j.core.pattern.LogEventPatternConverter
              org.apache.logging.log4j.core.pattern.NamePatternConverter
                  org.apache.logging.log4j.core.pattern.ClassNamePatternConverter

All Implemented Interfaces:
  PatternConverter

    @Plugin(name="ClassNamePatternConverter",
            category="Converter")
    public final class ClassNamePatternConverter

extends NamePatternConverter

Formats the class name of the site of the logging request.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`CATEGORY`

Method Summary
`void` | `format(LogEvent event, StringBuilder toAppendTo)` Format a logging event.
`static ClassNamePatternConverter` | `newInstance(String[] options)` Gets an instance of ClassNamePatternConverter.

Methods inherited from class org.apache.logging.log4j.core.pattern.NamePatternConverter
`abbreviate`

Methods inherited from class org.apache.logging.log4j.core.pattern.LogEventPatternConverter
`format, handlesThrowable`

Methods inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static ClassNamePatternConverter newInstance(String[] options)

  Gets an instance of ClassNamePatternConverter.

  Parameters:
    `options` - options, may be null.
  Returns:
    instance of pattern converter.

### format

    public void format(LogEvent event,
                       StringBuilder toAppendTo)

  Format a logging event.

  Specified by:
    `format` in class `LogEventPatternConverter`
  Parameters:
    `event` - event to format.
    `toAppendTo` - string buffer to which class name will be appended.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.